Subject: Re: [v2,net-next] net: qos offload add flow status with dropped count

From: Simon Horman <[email-masked]>
Date: Fri, 19 Jun 2020 09:03:40 +0200

On Fri, Jun 19, 2020 at 02:01:07PM +0800, Po Liu wrote:
> From: Po Liu <[email-masked]>
> 
> This patch adds a drop frames counter to tc flower offloading.
> Reporting h/w dropped frames is necessary for some actions.
> Some actions like police action and the coming introduced stream gate
> action would produce dropped frames which is necessary for user. Status
> update shows how many filtered packets increasing and how many dropped
> in those packets.
> 
> v2: Changes
>  - Update commit comments suggest by Jiri Pirko.
> 
> Signed-off-by: Po Liu <[email-masked]>
> ---
> This patch is continue the thread [email-masked]
> 
>  drivers/net/dsa/sja1105/sja1105_vl.c                  |  2 +-
>  drivers/net/ethernet/broadcom/bnxt/bnxt_tc.c          |  2 +-
>  drivers/net/ethernet/chelsio/cxgb4/cxgb4_tc_flower.c  |  2 +-
>  .../net/ethernet/chelsio/cxgb4/cxgb4_tc_matchall.c    |  2 +-
>  drivers/net/ethernet/freescale/enetc/enetc_qos.c      |  7 +++++--
>  drivers/net/ethernet/mellanox/mlx5/core/en/tc_ct.c    |  2 +-
>  drivers/net/ethernet/mellanox/mlx5/core/en_tc.c       |  4 ++--
>  drivers/net/ethernet/mellanox/mlxsw/spectrum_flower.c |  2 +-
>  drivers/net/ethernet/mscc/ocelot_flower.c             |  2 +-
>  drivers/net/ethernet/netronome/nfp/flower/offload.c   |  2 +-
>  drivers/net/ethernet/netronome/nfp/flower/qos_conf.c  |  2 +-
>  include/net/act_api.h                                 | 11 ++++++-----
>  include/net/flow_offload.h                            |  5 ++++-
>  include/net/pkt_cls.h                                 |  5 +++--
>  net/sched/act_api.c                                   | 10 ++++------
>  net/sched/act_ct.c                                    |  6 +++---
>  net/sched/act_gact.c                                  |  7 ++++---
>  net/sched/act_gate.c                                  |  6 +++---
>  net/sched/act_mirred.c                                |  6 +++---
>  net/sched/act_pedit.c                                 |  6 +++---
>  net/sched/act_police.c                                |  4 ++--
>  net/sched/act_skbedit.c                               |  5 +++--
>  net/sched/act_vlan.c                                  |  6 +++---
>  net/sched/cls_flower.c                                |  1 +
>  net/sched/cls_matchall.c                              |  3 ++-
>  25 files changed, 60 insertions(+), 50 deletions(-)

Netronome portion:

Reviewed-by: Simon Horman <[email-masked]>